h1, h2 {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-bottom: 5px;
    position: relative;
    padding-left: 10px;
    padding-right: 10px;
}

@media (min-width: 768px) {
    h1, h2 {
        padding-left: 0;
        padding-right: 0;
    }
}

h2.h4 {
    margin-bottom: 0;
}

h1, h2, h3, p, .h1, .h2, .h3 {
    font-family: arial, sans-serif;
    color: #4c575f;
}

html, body {
    height:100%;
}

body {
    background-color: #f1f1f1;
}

.float-right {
    float: right;
}

.float-left {
    float: left;
}

div#body-content {
    position: relative;
}

/* Pour container type login */
.container-small, .container-small .container {
    max-width: 500px;
}

.no-margin {
    margin: 0!important;
}

.no-padding {
    padding: 0!important;
}

.no-radius {
    border-radius: 0!important;
}

.cursor-pointer {
    cursor: pointer;
}

.text-white {
    color: white;
}

pre {
    font-family: monospace;
}

.loading-container {
    height: 100px;
}

.loading-container i {
    margin-top: 25px;
}

.disabled, .disabled * {
    cursor: not-allowed;
}
td.action a.disabled i.fa,
td.action a.disabled i.fas,
td.action a.disabled i.far,
td.action a.disabled i.fab,
.disabled.gray,
.disabled.gray *,
.disabled.gray .fa,
.disabled.gray .fas,
.disabled.gray .far,
.disabled.gray .fab,
.disabled.gray:hover,
.disabled.gray *:hover,
.disabled.gray .fa:hover,
.disabled.gray .fas:hover,
.disabled.gray .far:hover,
.disabled.gray .fab:hover
{
    color: gray;
}

/**
 * Menu du haut
 */
body {
    padding-top: 50px;
}
@media (min-width: 768px) {
    body:not(.admin) {
        padding-top: 100px;
    }
}

div#body-content > header.navbar-fixed-top > nav {
    margin-bottom: 0
}

div#body-content > header.navbar-fixed-top {
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.6);
}

div#body-content > header > *, #header-menu-collapsable {
    border: none;
    border-radius: 0;
}

nav .navbar-brand.logo {
    padding: 0 15px;
}

nav .navbar-brand.logo img {
    height: 50px;
}

.navbar-asalae .dropdown-menu {
    background-color: #3e4c5b;
}
.navbar-asalae.bg-ls-dark .dropdown-menu {
    background-color: #222;
}

#header-menu-collapsable a:hover,
#user-menu a:hover,
.navbar-asalae .dropdown-menu > li > a:hover,
.navbar-asalae .dropdown-menu > li > .btn-link:hover
{
    color: #262626;
    background-color: #e8e8e8;
}

@media (min-width: 768px) {
    div#header-menu-collapsable > .nav {
        display: inline-block;
        margin-bottom: -5px;
        float: none;
    }

    div#navigation-menu {
        margin: 0;
        padding: 0;
    }

    div#header-menu-collapsable {
        background: #fff;
        text-align: center;
    }

    .navbar-asalae #navigation-menu .navbar-nav > li > a,
    .navbar-asalae #navigation-menu .navbar-nav > li > .btn-link
    {
        color: #4c575f;
    }

    .navbar-asalae #navigation-menu .navbar-nav > li > a:hover,
    .navbar-asalae #navigation-menu .navbar-nav > li > .btn-link:hover
    {
        background: transparent;
        box-shadow: inset 0 -1px 0 0 #23527c;
        border-bottom: 1px solid #567693;
        color: #23527c;
        margin-bottom: -1px;
    }
    .navbar-asalae.bg-ls-dark #navigation-menu .navbar-nav > li > a:hover,
    .navbar-asalae.bg-ls-dark #navigation-menu .navbar-nav > li > .btn-link:hover
    {
        background: transparent;
        box-shadow: inset 0 -1px 0 0 #1f4564;
        border-bottom: 1px solid #4b708b;
        color: #1f4564;
        margin-bottom: -1px;
    }

    .navbar-asalae #navigation-menu .navbar-nav > li > a:focus,
    .navbar-asalae #navigation-menu .navbar-nav > li > .btn-link:focus
    {
        background: transparent;
        border: 1px solid #3e4c5b;
        border-top-width: 2px;
        margin: -2px -1px -1px -1px;
        position: relative;
        top: 2px;
        background: white;
    }
    .navbar-asalae.bg-ls-dark #navigation-menu .navbar-nav > li > a:focus,
    .navbar-asalae.bg-ls-dark #navigation-menu .navbar-nav > li > .btn-link:focus
    {
        border: 1px solid #222;
    }

    #header-menu-collapsable > ul.navbar-nav > li.dropdown > ul.dropdown-menu {
        top: 49px;
        left: -1px;
    }
    #header-menu-collapsable > ul.navbar-nav > li.dropdown > a:focus,
    #header-menu-collapsable > ul.navbar-nav > li.dropdown.open > a {
        border: 1px solid #3e4c5b;
        border-top-width: 2px;
        margin: -2px -1px -1px -1px;
        position: relative;
        top: 2px;
        background: white;
    }
}
@media (max-width: 1290px) {
    div#header-menu-collapsable > .nav > li > a {
        margin-bottom: 1px;
    }
    div#header-menu-collapsable > .nav > li > a:hover,
    div#header-menu-collapsable > .nav > li > a:focus {
        margin-bottom: 0;
    }
    div#header-menu-collapsable > .nav > li.open > a.dropdown-toggle {
        margin-bottom: -2px;
    }
}

/**
 * Compteur de notification
 */
li#container-number-notification.danger {
    background-color: #a94442;
}
li#container-number-notification span#number-notification {
    position: absolute;
    display: block;
    border-radius: 6px;
    background-color: #622;
    color: #fff;
    bottom: 12px;
    left: 25px;
    font-weight: bold;
    font-size: 14px;
    height: 11px;
    text-align: center;
    line-height: 5px;
    padding: 2px;
    font-family: courier, serif;
}

li#container-number-notification:hover span#number-notification {
    background-color: #000;
}

/**
 * Responsive +
 */
body .resp.resp-hide-large {
    display: initial;
}

body .resp.resp-hide-small {
    display: none;
}

@media (min-width: 768px) {
    body .resp.resp-hide-large {
        display: none;
    }

    body .resp.resp-hide-small {
        display: initial;
    }
}

/**
 * Footer
 */
div#body-content {
    min-height: 100%;
    min-height: calc(100% - 50px);
}

body > footer {
    background: #3e4c5b;
    text-align: center;
    color: rgba(255, 255, 255, 0.9);
    padding: 10px;
    margin-top: 15px;
}
body > footer.bg-ls-dark {
    background: #222;
}

/**
 * Contenu principal
 */
div.main-content {
    margin: auto;
}

div.main-content > .container,
div.main-content > form > .container,
div.main-content > .exploded-container,
div.main-content > div.transition-container > .container,
div.main-content > .body-row > .container,
div.main-content > .body-row > form > .container,
div.main-content > .body-row > .exploded-container,
div.main-content > .body-row > div.transition-container > .container
{
    padding: 0;
    margin-bottom: 15px;
}

section.bg-white, div.vignette {
    background-color: #fff;
    color: #4c575f;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
}

section.bg-white > * {
    padding: 10px;
}

.modal section.bg-white {
    width: 100%;
}

table.table tbody td.action div.td-group div.td-group-sub-sub {
    padding: 0;
    margin: 0;
}

table td.action {
    white-space: nowrap;
}

table td > div {
    word-wrap: break-word;
}

table td.action a,
table td.action .btn-link
{
    padding: 5px;
}

table td.action a .fa,
table td.action .btn-link .fa,
table td.action a .fas,
table td.action .btn-link .fas,
table td.action a .far,
table td.action .btn-link .far,
table td.action a .fab,
table td.action .btn-link .fab
{
    font-size: 22px;
}

table.table tbody tr:hover {
    background-color: #eee;
}

table.table tbody tr.warning:hover {
    background-color: #ece8d3;
}

table.table tbody tr.success:hover {
    background-color: #cfe0c8;
}

table.table tbody tr.danger:hover {
    background-color: #e2cece;
}

table.table tbody tr.info:hover {
    background-color: #c9dde7;
}

table.table tbody tr.danger.hatched:hover {
    background: repeating-linear-gradient(
            -45deg,
            #e2cece,
            #e2cece 15px,
            #d2bebe 15px,
            #d2bebe 30px
    );
}

table.table tbody tr.info.hatched:hover {
    background: repeating-linear-gradient(
            -45deg,
            #c9dde7,
            #c9dde7 15px,
            #b9cdd7 15px,
            #b9cdd7 30px
    );
}

table.table tbody tr.warning.hatched:hover {
    background: repeating-linear-gradient(
            -45deg,
            #ece8d3,
            #ece8d3 15px,
            #dcd8c3 15px,
            #dcd8c3 30px
    );
}

table.table tbody tr.success.hatched:hover {
    background: repeating-linear-gradient(
            -45deg,
            #cfe0c8,
            #cfe0c8 15px,
            #bfd0b8 15px,
            #bfd0b8 30px
    );
}

.ui-widget-content section.bg-white {
    padding: 10px 2px 10px 0;
}

table.table td div.form-group.checkbox {
    margin: 0;
    position: relative;
    min-width: 50px;
    min-height: 30px;
}
table.table td div.form-group.checkbox label {
    padding: 15px;
    position: absolute;
    top: -15px;
}
table.table td div.form-group.checkbox label:hover {
    text-decoration: underline;
}

/**
 * Générateur de table javascript
 */
table.table tbody td div.td-group-sub {
    padding: 10px;
    display: inline-block;
    background-color: #fff;
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
    border: 1px solid #dddddd;
}

table.table tbody td div.td-group-sub-sub {
    display: block;
}

table.table tbody td span.td-group-fieldname {
    display: inline-block;
    min-width: 160px;
    font-weight: bold;
    margin-right: 5px;
    color: #265D66;
    vertical-align: top;
}

table.table tbody td span.td-group-fieldname:after {
    content: ': ';
}

table.table tbody td.action span.td-group-fieldname {
    display: none;
}

table.table tbody div.td-group-fieldvalue {
    display: inline-block;
}

table.table tbody div.td-group .group-title {
    background-color: #d9edf7;
    text-align: center;
    padding: 5px;
    font-weight: bold;
    margin-bottom: 5px;
}

table.table tbody td.action div.td-group-sub,
table.table tbody td.action div.td-group-sub-sub {
    display: inline;
    padding: 5px;
}

table.table tbody div.td-group-sub-sub div.td-group {
    margin-top: 15px;
    padding-left: 5px;
    border-left: 2px solid #265D66;
}
table.table tbody div.td-group-sub-sub:hover {
    background: rgba(0, 0, 0, 0.1);
}
table.table tbody td.action div.td-group-sub-sub:hover {
    background: none;
}

table.table tbody tr.alt,
table.table tbody tr.danger.alt,
table.table tbody tr.warning.alt,
table.table tbody tr.success.alt,
table.table tbody tr.info.alt {
    background-color: #eee;
}

.table-striped > tbody > tr.hatched:nth-of-type(odd) {
    background: repeating-linear-gradient(
            -45deg,
            #f9f9f9,
            #f9f9f9 15px,
            #e9e9e9 15px,
            #e9e9e9 30px
    );
}

.table-striped > tbody > tr.hatched:nth-of-type(even) {
    background: repeating-linear-gradient(
            -45deg,
            #fff,
            #fff 15px,
            #efefef 15px,
            #efefef 30px
    );
}

.table-striped > tbody > tr.hatched:hover {
    background: repeating-linear-gradient(
            -45deg,
            #eee,
            #eee 15px,
            #dedede 15px,
            #dedede 30px
    );
}

table.table tbody tr.danger.hatched {
    background: repeating-linear-gradient(
            -45deg,
            #f2dede,
            #f2dede 15px,
            #e2cece 15px,
            #e2cece 30px
    );
}

table.table tbody tr.info.hatched {
    background: repeating-linear-gradient(
            -45deg,
            #d9edf7,
            #d9edf7 15px,
            #c9dde7 15px,
            #c9dde7 30px
    );
}

table.table tbody tr.warning.hatched {
    background: repeating-linear-gradient(
            -45deg,
            #fcf8e3,
            #fcf8e3 15px,
            #ece8d3 15px,
            #ece8d3 30px
    );
}

table.table tbody tr.success.hatched {
    background: repeating-linear-gradient(
            -45deg,
            #dff0d8,
            #dff0d8 15px,
            #cfe0c8 15px,
            #cfe0c8 30px
    );
}

table.table tbody tr.hatched:hover {
    background-color: #A4C4C0;
}

.separator {
    border-bottom: 1px solid #ddd;
}

/* Contre ordre bootstrap.css : le background se fait sur le tr désormais */
table.table tbody tr.hatched td,
table.table tbody tr.danger.hatched td,
table.table tbody tr.warning.hatched td,
table.table tbody tr.success.hatched td,
table.table tbody tr.info.hatched td {
    background: transparent;
}

table.table tbody tr.hatched:hover td,
table.table tbody tr.danger.hatched:hover td,
table.table tbody tr.warning.hatched:hover td,
table.table tbody tr.success.hatched:hover td,
table.table tbody tr.info.hatched:hover td {
    background-color: transparent;
}

/* Meilleur aparence en cas d'éclatement du tableau */
.table-striped > tbody > tr:nth-of-type(even),
table thead tr {
    background-color: #fff;
}

/**
 * Modal de configuration du tableau
 */
.switch-table-view {
    border: none;
    background-color: transparent;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: #333;
}
.switch-table-view:focus, .switch-table-view:hover {
    outline: 1px dotted black;
    color: #23527c;
}
.active.switch-table-view:focus, .active.switch-table-view:hover {
    color: #23527c;
}

/**
 * Mise en forme du debug
 */
div.cake-debug-output {
    background-color: #fff;
    padding: 10px;
    margin-bottom: 10px;
    font-family: arial, sans-serif;
    color: #4c575f;
}

div.cake-debug-output:before {
    content: 'debug: ';
    font-family: arial, sans-serif;
    color: #4c575f;
}

div.cake-debug-output > i {
    color: #265D66;
    float: right;
}

div.cake-debug-output > i:hover {
    cursor: pointer;
}

#body-content .cake-debug-output pre.sf-dump,
#body-content .cake-debug-output pre.sf-dump .sf-dump-default {
    z-index: 1000;
}

/**
 * Drag and Drop
 */
div.drop-zone {
    display: block;
    padding: 10px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
    min-height: 38px;
}

div.drop-zone.ui-droppable-hover {
    border-color: #66afe9;
    outline: 0;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
    min-height: 55px;
}

div.draggable-element {
    margin: 2px;
}

div.table-style i.fa.active {
    color: #28a4c9;
}

i.slide-icon {
    margin-right: 10px;
    color: #337ab7;
}

i.slide-icon:hover {
    cursor: pointer;
    color: #23527c;
}

div.draggable-element.btn.generic_group {
    display: none;
}

/**
 * navbar-custom
 */
.navbar-asalae {
    background-color: #3e4c5b;
    border-color: #e7e7e7;
}
.navbar-asalae.bg-ls-dark {
    background-color: #222;
}
.navbar-asalae .navbar-brand {
    color: #F5F5F5;
}
.navbar-asalae .navbar-brand:hover,
.navbar-asalae .navbar-brand:focus {
    color: #fff;
    background-color: transparent;
}
.navbar-asalae .navbar-text {
    color: #F5F5F5;
}
.navbar-asalae .navbar-nav > li > a,
.navbar-asalae .navbar-nav > li > .btn-link
{
    color: #F5F5F5;
}
.navbar-asalae .navbar-nav > li > a:hover,
.navbar-asalae .navbar-nav > li > .btn-link:hover,
.navbar-asalae .navbar-nav > li > a:focus,
.navbar-asalae .navbar-nav > li > .btn-link:focus
{
    color: #fff;
    background-color: rgba(0, 0, 0, 0.2);
}
.navbar-asalae .navbar-nav > .active > a,
.navbar-asalae .navbar-nav > .active > .btn-link,
.navbar-asalae .navbar-nav > .active > a:hover,
.navbar-asalae .navbar-nav > .active > .btn-link:hover,
.navbar-asalae .navbar-nav > .active > a:focus,
.navbar-asalae .navbar-nav > .active > .btn-link:focus
{
    color: #555;
    background-color: #e7e7e7;
}
.navbar-asalae .navbar-nav > .disabled > a,
.navbar-asalae .navbar-nav > .disabled > .btn-link,
.navbar-asalae .navbar-nav > .disabled > a:hover,
.navbar-asalae .navbar-nav > .disabled > .btn-link:hover,
.navbar-asalae .navbar-nav > .disabled > a:focus,
.navbar-asalae .navbar-nav > .disabled > .btn-link:focus
{
    color: #ccc;
    background-color: transparent;
}
.navbar-asalae .navbar-toggle {
    border-color: #ddd;
}
.navbar-asalae .navbar-toggle:hover,
.navbar-asalae .navbar-toggle:focus {
    background-color: rgba(0, 0, 0, 0.2);
}
.navbar-asalae .navbar-toggle .icon-bar {
    background-color: #F5F5F5;
}
.navbar-asalae .navbar-collapse,
.navbar-asalae .navbar-form {
    border-color: #e7e7e7;
}
.navbar-asalae .navbar-nav > .open > a,
.navbar-asalae .navbar-nav > .open > a:hover,
.navbar-asalae .navbar-nav > .open > a:focus {
    color: #555;
    background-color: #e7e7e7;
}
.navbar-asalae .navbar-link:not(.alert) {
    color: #F5F5F5;
}
.navbar-asalae .navbar-link:hover:not(.alert) {
    color: #fff;
    background-color: rgba(0, 0, 0, 0.2);
}
.navbar-asalae .btn-link {
    color: #F5F5F5;
}
.navbar-asalae .btn-link:hover,
.navbar-asalae .btn-link:focus {
    color: #fff;
}
.navbar-asalae .btn-link[disabled]:hover,
fieldset[disabled] .navbar-asalae .btn-link:hover,
.navbar-asalae .btn-link[disabled]:focus,
fieldset[disabled] .navbar-asalae .btn-link:focus {
    color: #ccc;
}

/**
 * Drop box
 */
div.dropbox {
    text-align: center;
    min-height: 150px;
    padding: 50px;
    margin: 10px;
    border: 2px #999 dashed;
    background-color: #f9f9f9;
}

div.dropbox.dragover {
    border-style: dotted;
    background: #f4f4f4 repeating-linear-gradient(
            -15deg,
            #f0f0f0,
            #f0f0f0 5px,
            #f4f4f4 5px,
            #f4f4f4 10px
    );
    text-decoration: underline;
}

.dropbox p {
    font-size: 18px;
}

.modal-body {
    max-height: 600px;
    max-height: 75vh;
    max-height: calc(100vh - 200px);
    overflow-y: auto;
    padding-bottom: 0;
    margin-bottom: 15px;
}

/**
 * Modal XXL
 */
.modal-xxl {
    width: 1120px;
}
@media (max-width: 1120px) {
    .modal {
        padding: 0 !important;
    }
    .modal-xxl {
        width: 100%;
        margin: 0;
    }
}

/**
 * Modal 4XL
 */
.modal .modal-dialog.modal-4xl {
    width: 1920px;
    max-width: 100%;
}
@media (max-width: 1900px) {
    .modal .modal-dialog.modal-4xl {
        width: 100%;
        margin: 0;
        padding: 0 !important;
    }
}

/**
 * Modal
 */
.modal-content {
    position: relative;
    padding-bottom: 20px;
}
.modal .bottom-handle {
    height: 20px;
    width: 100%;
    border-top: 1px solid #f3f1f1;
    position: absolute;
    bottom: 0;
}


/**
 * Prévisualisation
 */
div.prev-ext {
    margin: 5px;
    padding: 5px;
    color: #666;
    font-variant: small-caps;
    text-align: center;
    font-weight: bold;
    font-size: 16px;
    position: relative;
    text-shadow: -1px 0 #fff, 0 1px #fff, 1px 0 #fff, 0 -1px #fff;
    z-index: 1;
    display: inline-block;
    min-height: 24px; /* (.prev-ext > i.fa) position: absolute */
}

div.prev-ext i.fa {
    position: absolute;
    left: 0;
    right: 0;
    top: -4px;
    font-size: 40px;
    text-shadow: initial;
    z-index: -1;
}

td.prev video {
    margin-bottom: 20px;
}

/**
 * Notifications
 */
#notifications-container {
    position: fixed;
    top: 70px;
    right: 50px;
    width: 300px;
    z-index: 1050;
}

#notifications-container div.alert {
    cursor: pointer;
}
.notification-timer {
    color: rgba(87, 87, 87, 0.74);
    font-style: italic;
    display: inline-block;
    width: 100%;
    margin-top: 10px;
    padding-left: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
}
.alert-notification {
    padding: 8px 35px 30px 8px;
    position: relative;
}
ul#notifications-ul-container .alert-notification {
    padding: 8px 35px 18px 8px;
}

/**
 * Filtres de recherche
 */
div.filter-container {
    margin-top: 15px;
    padding-top: 15px;
    border-top: 4px double rgba(0, 0, 0, 0.2);
}
div.filter-container button.close {
    z-index: 10;
}
div.filter-container button.close:focus {
    outline: 1px dotted #4c575f;
    outline-color: initial;
    outline-color: invert;
}
div.select-filter-container {
    padding-top: 15px;
}

div.submit-btn-filter-container {
    padding: 15px 0 0;
}

li#menu-li-filter.active-dot > a:after {
    content: "";
    width: 8px;
    height: 8px;
    background-color: green;
    position: absolute;
    top: 28px;
    left: 24px;
    border: 1px solid #fff;
    border-radius: 50%;
}

.display-active-filter, .display-active-sort {
    display: none;
}
.display-active-filter:focus .fa-hidden-append,
.display-active-sort:focus .fa-hidden-append {
    display: inline;
    color: #0e90d2;
}

/**
 * Devs
 */
div.main-content > div.affix,
div.main-content > .body-row > div.affix
{
    max-height: 80%;
    overflow: auto;
}

div.main-content > div.affix
{
    position: relative;
}

@media (min-width: 1575px) {
    div.main-content > div.affix,
    div.main-content > .body-row > div.affix
    {
        position: fixed;
    }
    div.main-content > div.affix > ul.nav,
    div.main-content > .body-row > div.affix > ul.nav
    {
        width: 200px;
    }
}
@media (min-width: 1600px) {
    div.main-content > div.affix > ul.nav,
    div.main-content > .body-row > div.affix > ul.nav
    {
        width: 225px;
    }
}
@media (min-width: 1625px) {
    div.main-content > div.affix > ul.nav,
    div.main-content > .body-row > div.affix > ul.nav
    {
        width: 250px;
    }
}
@media (min-width: 1650px) {
    div.main-content > div.affix > ul.nav,
    div.main-content > .body-row > div.affix > ul.nav
    {
        width: 275px;
    }
}

/**
 * Color dot
 */
.color-dot {
    display: inline-block;
    width: 17px;
    height: 17px;
    border-radius: 50%;
    box-shadow: 0 0 1px #444;
}

.color-dot.empty {
    background-color: transparent;
}

.color-dot.green {
    background-color: #3c993c;
}

.color-dot.red {
    background-color: #e14545;
}

/**
 * Apparence onglets
 */

.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
    background: #ffffff;
}
.ui-state-active a,
.ui-widget-header .ui-state-active a,
.ui-widget-content .ui-state-active a,
.ui-state-active a:link,
.ui-widget-header .ui-state-active a:link,
.ui-widget-content .ui-state-active a:link,
.ui-state-active a:visited,
.ui-widget-header .ui-state-active a:visited,
.ui-widget-content .ui-state-active a:visited
{
    color: #333;
}

.ui-state-default.bg-danger,
.ui-widget-content .ui-state-default.bg-danger,
.ui-widget-header .ui-state-default.bg-danger {
    background: #f2dede;
}

.ui-state-active.bg-danger,
.ui-widget-content .ui-state-active.bg-danger,
.ui-widget-header .ui-state-active.bg-danger,
a.ui-button:active.bg-danger,
.ui-button:active.bg-danger,
.ui-button.ui-state-active:hover.bg-danger {
    background: #265a88;
}

.ui-state-active.bg-danger a, .ui-state-active.bg-danger a:link {
    color: #f9a7a7;
    font-weight: bold;
}

form.no-padding.ui-corner-all, form.no-padding .ui-corner-all {
    border-radius: 0;
}

/**
 * Layout admin
 */
.vignette.danger {
    background-color: #a94442;
    color: #fff;
}
.vignette.danger:hover, .vignette.danger:focus {
    color: #eee;
    background-color: #993432;
}
.vignette.success {
    background-color: #3c763d;
    color: #fff;
}
.vignette.success:hover, .vignette.success:focus {
    color: #eee;
    background-color: #2c662d;
}
.vignette.warning {
    background-color: #f0ad4e;
    color: #fff;
}
.vignette.warning:hover, .vignette.warning:focus {
    color: #eee;
    background-color: #eb9316;
}
.container-flex > .row {
    display: flex;
    flex-flow: row wrap;
    align-content: space-between;
    justify-content: space-between;
    align-items: center;
    margin-left: -7.5px;
    margin-right: -7.5px;
}
.container-flex:before, .container-flex:after {
    display: none;
}
.check-container .vignette {
    width: 280px;
    min-height: 170px;
    padding: 35px 25px 0;
    line-height: 1.15;
    /*noinspection CssFloatPxLength,CssNonIntegerLengthInPixels*/
    margin: 0 7.5px 15px;
    flex: 1 0 260px;
}
.check-container .vignette .icon {
    font-size: 70px;
    display: inline-block;
    vertical-align: top;
}
.check-container .vignette .text {
    display: inline-block;
    font-size: 30px;
    max-width: 150px;
    vertical-align: top;
    float: right;
}
.vignette:hover, .vignette:focus {
    box-shadow: 0 0 8px rgba(0,0,0,0.4)
}

/**
 * Slider switch
 */
.switch {
    position: relative;
    display: inline-block;
    width: 80px;
    height: 34px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #337ab7;
}

input:focus + .slider {
    box-shadow: 0 0 1px #337ab7;
}

input:checked + .slider:before {
    -webkit-transform: translateX(46px);
    -ms-transform: translateX(46px);
    transform: translateX(46px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

/**
 * Filtre datepicker
 */
input.with-select, select.with-select {
    min-height: 46px;
}

div.ui-datepicker {
    z-index: 1051!important; /* Pas le choix car z-index: 4 dans style */
}

/**
 * Login
 */
.login-container .main-logo {
    display: inline-block;
    padding: 0;
    border-radius: 0;
    background-color: white;
    width: auto;
    margin-top: -10px;
}
h1.logo-title {
    border-bottom: none;
    padding-bottom: unset;
    margin-top: 20px;
    margin-bottom: unset;
    color: #586573;
}

div.login-logo-container {
    margin-top: 20px;
}

section.login-container {
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
}

label.control-label.login-label {
    text-align: left;
}

.login-btn-group {
    margin-top: 50px;
}

.bg-login {
    background: #3E4C5B radial-gradient(circle at top right, #f2f9ff, #3E4C5B 50%);
}

.login-container .row .container {
    width: 480px;
}

/**
 * Formulaires
 */
.fake-label {
    display: inline-block;
    max-width: 100%;
    margin-bottom: 5px;
    font-weight: 700;
    font-size: 14px;
}

/**
 * Accessibilité
 */
.breadcrumb a {
    color: #2d699e;
}
.breadcrumb li.active {
    color: #686868;
}
small.text-muted {
    color: #686868;
}

/**
 * Transition entre sections
 */
div.transition-container {
    position: relative;
    margin-bottom: 15px;
}

div.transition-container > section {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

.transition-container .loading-div {
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
}

/**
 * Fenetre survol des filtres
 */
ul.filtersSelectWindow {
    min-width: 250px;
}

/**
 * Fenetre notifications
 */
ul#notifications-ul-container li {
    width: 300px;
}
@media (max-width: 767px) {
    ul#notifications-ul-container li {
        width: 100%;
    }
}

ul#notifications-ul-container li.alert a {
    white-space: normal;
    padding-left: 5px;
    padding-right: 5px;
}
ul#notifications-ul-container li.alert-info,
ul#notifications-ul-container li.alert-success,
ul#notifications-ul-container li.alert-warning,
ul#notifications-ul-container li.alert-danger {
    border-radius: 0;
    margin: 0;
}

.no-bg-tabs {
    background: transparent;
    border-top: none;
    border-left: none;
    border-right: none;
}

/**
 * modal réduite
 */
div.mini-window {
    position: fixed;
    width: 250px;
    z-index: 1051;
    background-color: #FFF;
    box-shadow: 0 0 8px rgba(0,0,0,0.4);
    padding: 0 0 0 10px;
}

div.mini-window h4 {
    cursor: grabbing;
}

i.fa.fa-window-minimize.soften,
i.fa.fa-window-maximize.soften,
i.fa.fa-compress.soften,
i.fa.fa-expand.soften
{
    text-shadow: 0 1px 0 #fff;
    filter: alpha(opacity=20);
    opacity: .2;
    cursor: pointer;
    font-size: 12px;
    padding: 4px;
    margin-right: 5px;
}

i.fa.fa-window-minimize.soften:hover,
i.fa.fa-window-maximize.soften:hover,
i.fa.fa-compress.soften:hover,
i.fa.fa-expand.soften:hover
{
    filter: alpha(opacity=50);
    opacity: .5;
}

/**
 * Curseur loading
 */
html.ajax-loading * {
    cursor: wait!important;
}

div.modal-dialog.maximized-modal {
    width: 100%;
    height: 100%;
    position: static;
    margin: 50px 0 0 0;
}

div.modal-dialog.maximized-modal .modal-body {
    max-height: none;
}

/**
 * Ajout d'un fa par dessus un fa en plus petit
 * à placer à l'interieur du fa
 */
.fa,
.fas,
.far,
.fab,
button
{
    position: relative;
}
.fa > .fa-small-append,
.fas > .fa-small-append,
.far > .fa-small-append,
.fab > .fa-small-append,
button > .fa-small-append
{
    position: absolute;
    bottom: -5px;
    right: -5px;
    font-size: 12px;
}
.fa > .fa-hidden-append,
.fas > .fa-hidden-append,
.far > .fa-hidden-append,
.fab > .fa-hidden-append,
button > .fa-hidden-append
{
    display: none;
}
.fa:hover > .fa-hidden-append,
.fas:hover > .fa-hidden-append,
.far:hover > .fa-hidden-append,
.fab:hover > .fa-hidden-append,
button:hover > .fa-hidden-append
{
    display: inline;
    cursor: pointer;
}

/**
 * Favoris
 */
.favorites-star {
    padding: 5px;
    cursor: pointer;
    font-size: 22px;
}
div.form-group.checkbox {
    position: initial;
    margin-bottom: 15px;
}

/**
 * Modification du menu utilisateurs
 */
#user-menu > ul.dropdown-menu > li {
    position: relative;
}

#user-menu > ul.dropdown-menu > li > i.close {
    position: absolute;
    top: 4px;
    right: 5px;
    padding: 2px;
}

/**
 * Errors
 */
#report-table th {
    width: 33%;
}

.stack-trace {
    list-style: none;
    margin: 0;
    padding: 0;
}
.stack-frame {
    padding: 10px;
    border-bottom: 1px solid #212121;
}
.stack-frame:last-child {
    border-bottom: none;
}
.stack-frame a {
    display: block;
    color: #212121;
    text-decoration: none;
}
.stack-frame.active {
    background: #e5e5e5;
}
.stack-frame a:hover {
    text-decoration: underline;
}
.stack-file,
.stack-function {
    display: block;
    margin-bottom: 5px;
}

.stack-frame-file,
.stack-file {
    font-family: consolas, monospace;
}
.stack-function {
    font-weight: bold;
}
.stack-file {
    font-size: 0.9em;
    word-wrap: break-word;
}

.stack-details {
    background: #ececec;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
    border: 1px solid #ababab;
    padding: 10px;
    margin-bottom: 18px;
}
.stack-frame-args {
    float: right;
}

.toggle-link {
    color: #1798A5;
    text-decoration: none;
}
.toggle-link:hover {
    text-decoration: underline;
}
.toggle-vendor-frames {
    padding: 5px;
    display: block;
    text-align: center;
}

.code-excerpt {
    width: 100%;
    margin: 5px 0;
    background: #fefefe;
}
.code-highlight {
    display: block;
    background: #fff59d;
}
.excerpt-line {
    padding-left: 2px;
}
.excerpt-number {
    background: #f6f6f6;
    width: 50px;
    text-align: right;
    color: #666;
    border-right: 1px solid #ddd;
    padding: 2px;
}
.excerpt-number:after {
    content: attr(data-number);
}
.error-contents code {
    font-family: monospace,monospace;
    font-size: 1em;
    background-color: transparent;
}
table.xdebug-error {
    width: 100%;
    max-width: 100%;
    margin-bottom: 20px;
}
table.xdebug-error > tbody > tr > td,
table.xdebug-error > tbody > tr > th,
table.xdebug-error > tfoot > tr > td,
table.xdebug-error > tfoot > tr > th,
table.xdebug-error > thead > tr > td,
table.xdebug-error > thead > tr > th
{
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border-top: 1px solid #ddd;
}

/**
 * EAC-CPF / Editeur xml/xsd
 */
.attributesList {
    padding: 10px;
    background-color: #f0f8ff;
}

/**
 * Info-bulle d'edition xml
 */
.doc-tooltip {
    background-color: #fffff5;
    color: #4c575f;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.30);
    border-radius: 5px;
    width: 1120px;
    overflow: hidden;
    margin-bottom: 20px;
}
.doc-tooltip .content {
    padding: 10px;
    overflow: auto;
    max-height: 530px;
}
.doc-tooltip .close {
    font-size: 20px;
    padding: 11px;
}
.doc-tooltip .handle {
    height: 50px;
    border-bottom: 1px solid #ddd;
    cursor: move;
}

/**
 * jstree
 */
.jstree-default i.jstree-attr,
.jstree-default i.jstree-folder,
.jstree-default i.jstree-add-folder
{
    background-size: 60%;
    background-position: center;
    background-repeat: no-repeat;
    -webkit-mask-size: 60%;
    mask-size: 60%;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}
.jstree-default i.jstree-attr {
    background-color: #0070AD;
    -webkit-mask-image: url("font_awesome_5_raw_svg/solid/tags.svg");
    mask-image: url("font_awesome_5_raw_svg/solid/tags.svg");
}
.jstree-default i.jstree-folder {
    background-color: #AD4F00;
    -webkit-mask-image: url("font_awesome_5_raw_svg/regular/folder.svg");
    mask-image: url("font_awesome_5_raw_svg/regular/folder.svg");
}
.jstree-default li.jstree-open > a.jstree-anchor > i.jstree-folder {
    -webkit-mask-image: url("font_awesome_5_raw_svg/regular/folder-open.svg");
    mask-image: url("font_awesome_5_raw_svg/regular/folder-open.svg");
}
.jstree-default i.jstree-add-folder {
    background-color: #00AD70;
    -webkit-mask-image: url("font_awesome_5_raw_svg/regular/plus-square.svg");
    mask-image: url("font_awesome_5_raw_svg/regular/plus-square.svg");
}
@media all and (-ms-high-contrast: none) {
    .jstree-default i.jstree-attr {
        background-color: white;
        background-image: url("font_awesome_5_raw_svg/solid/tags.svg");
    }
    .jstree-default i.jstree-folder {
        background-color: white;
        background-image: url("font_awesome_5_raw_svg/regular/folder.svg");
    }
    .jstree-default li.jstree-open > a.jstree-anchor > i.jstree-folder {
        background-color: white;
        background-image: url("font_awesome_5_raw_svg/regular/folder-open.svg");
    }
    .jstree-default i.jstree-add-folder {
        background-color: white;
        background-image: url("font_awesome_5_raw_svg/regular/plus-square.svg");
    }
}
.jstree-default li.jstree-leaf > a.jstree-anchor > i.fa-folder:before {
    content: "\f016";
    color: inherit;
}
.jstree-default li.jstree-closed > a.jstree-anchor > i.fa-folder:before {
    color: #AD4F00;
}
.jstree-default li.jstree-open > a.jstree-anchor > i.fa-folder:before {
    content: "\f07c";
    color: #AD4F00;
}

/**
 * Sort table
 */
table > thead > tr > th a.sortable:hover,
table > thead > tr > th a.sort-asc:hover,
table > thead > tr > th a.sort-desc:hover {
    text-decoration: underline dashed;
}
table > thead > tr > th a.sortable:after {
    content: "\00a0\25B4\25BE";
}
table > thead > tr > th a.sortable,
table > thead > tr > th a.sort-asc,
table > thead > tr > th a.sort-desc {
    cursor: pointer;
}
table > thead > tr > th a.sort-asc:after {
    content: "\00a0\25B4";
}
table > thead > tr > th a.sort-desc:after {
    content: "\00a0\25BE";
}
table > thead > tr > th a.sortable:after,
table > thead > tr > th a.sort-asc:after,
table > thead > tr > th a.sort-desc:after {
    display:inline-block;
}

/**
 * Loading screen
 */
@-webkit-keyframes SPINNER {
    0%   { -webkit-transform: translate(-50%,-50%) rotate(0deg); }
    100% { -webkit-transform: translate(-50%,-50%) rotate(360deg); }
}
@-moz-keyframes SPINNER {
    0%   { -moz-transform: translate(-50%,-50%) rotate(0deg); }
    100% { -moz-transform: translate(-50%,-50%) rotate(360deg); }
}
@-ms-keyframes SPINNER {
    0%   { -ms-transform: translate(-50%,-50%) rotate(0deg); }
    100% { -ms-transform: translate(-50%,-50%) rotate(360deg); }
}
@-o-keyframes SPINNER {
    0%   { -o-transform: translate(-50%,-50%) rotate(0deg); }
    100% { -o-transform: translate(-50%,-50%) rotate(360deg); }
}
@keyframes SPINNER {
    0%   { transform: translate(-50%,-50%) rotate(0deg); }
    100% { transform: translate(-50%,-50%) rotate(360deg); }
}

@-webkit-keyframes LABEL {
    0%   { opacity: 1.0; -webkit-transform: translate(-50%,-50%) scale(1.0); }
    5%   { opacity: 0.5; -webkit-transform: translate(-50%,-50%) scale(0.5); }
    95%  { opacity: 0.5; -webkit-transform: translate(-50%,-50%) scale(0.5); }
    100% { opacity: 1.0; -webkit-transform: translate(-50%,-50%) scale(1.0); }
}
@-moz-keyframes LABEL {
    0%   { opacity: 1.0; -moz-transform: translate(-50%,-50%) scale(1.0); }
    5%   { opacity: 0.5; -moz-transform: translate(-50%,-50%) scale(0.5); }
    95%  { opacity: 0.5; -moz-transform: translate(-50%,-50%) scale(0.5); }
    100% { opacity: 1.0; -moz-transform: translate(-50%,-50%) scale(1.0); }
}
@-ms-keyframes LABEL {
    0%   { opacity: 1.0; -ms-transform: translate(-50%,-50%) scale(1.0); }
    5%   { opacity: 0.5; -ms-transform: translate(-50%,-50%) scale(0.5); }
    95%  { opacity: 0.5; -ms-transform: translate(-50%,-50%) scale(0.5); }
    100% { opacity: 1.0; -ms-transform: translate(-50%,-50%) scale(1.0); }
}
@-o-keyframes LABEL {
    0%   { opacity: 1.0; -o-transform: translate(-50%,-50%) scale(1.0); }
    5%   { opacity: 0.5; -o-transform: translate(-50%,-50%) scale(0.5); }
    95%  { opacity: 0.5; -o-transform: translate(-50%,-50%) scale(0.5); }
    100% { opacity: 1.0; -o-transform: translate(-50%,-50%) scale(1.0); }
}
@keyframes LABEL {
    0%   { opacity: 1.0; transform: translate(-50%,-50%) scale(1.0); }
    5%   { opacity: 0.5; transform: translate(-50%,-50%) scale(0.5); }
    95%  { opacity: 0.5; transform: translate(-50%,-50%) scale(0.5); }
    100% { opacity: 1.0; transform: translate(-50%,-50%) scale(1.0); }
}

#loading-screen {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10000;
    background: rgba(255,255,255,0.2);
    display: none;
    pointer-events: none;
}
#loading-screen .spinner,
#loading-screen .spinner:before,
#loading-screen .spinner:after {
    border: 10px solid rgba(0,0,0,0);
    border-top: 10px solid #ccc;
    border-bottom: 10px solid #ccc;
    border-radius: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
}
#loading-screen .spinner:before,
#loading-screen .spinner:after {
    content: "";
}
#loading-screen .spinner {
    width: 100px;
    height: 100px;
    -webkit-animation: SPINNER 5s linear infinite;
    -moz-animation: SPINNER 5s linear infinite;
    -ms-animation: SPINNER 5s linear infinite;
    -o-animation: SPINNER 5s linear infinite;
    animation: SPINNER 5s linear infinite;
}
#loading-screen .spinner:before {
    width: 80px;
    height: 80px;
    -webkit-animation: SPINNER 10s linear infinite;
    -moz-animation: SPINNER 10s linear infinite;
    -ms-animation: SPINNER 10s linear infinite;
    -o-animation: SPINNER 10s linear infinite;
    animation: SPINNER 10s linear infinite;
}
#loading-screen .spinner:after {
    width: 60px;
    height: 60px;
    -webkit-animation: SPINNER 5s linear infinite;
    -moz-animation: SPINNER 5s linear infinite;
    -ms-animation: SPINNER 5s linear infinite;
    -o-animation: SPINNER 5s linear infinite;
    animation: SPINNER 5s linear infinite;
}
#loading-screen .label {
    color: #ccc;
    text-transform: uppercase;
    font-family: sans-serif;
    font-size: 10px;
    font-weight: 700;
    letter-spacing: 2px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-animation: LABEL 5s linear infinite;
    -moz-animation: LABEL 5s linear infinite;
    -ms-animation: LABEL 5s linear infinite;
    -o-animation: LABEL 5s linear infinite;
    animation: LABEL 5s linear infinite;
}
#loading-screen .spinner,
#loading-screen .spinner:before,
#loading-screen .spinner:after {
    border-top-color: rgb(62, 76, 91) !important;
    border-bottom-color: rgb(62, 76, 91) !important;
}
#loading-screen .label {
    color: rgb(62, 76, 91);
}
#loading-screen.paused .spinner,
#loading-screen.paused .spinner:before,
#loading-screen.paused .spinner:after,
#loading-screen.paused .label {
    -webkit-animation: none;
    -moz-animation: none;
    -ms-animation: none;
    -o-animation: none;
    animation: none;
}

/**
 * Organigramme
 */
#chart-container {
    text-align: center;
    overflow: auto;
    max-height: 700px;
}
.orgchart {
    background-image: linear-gradient(90deg, rgba(129, 129, 129, 0.1) 10%, rgba(0, 0, 0, 0) 10%), linear-gradient(rgba(140, 140, 140, 0.1) 10%, rgba(0, 0, 0, 0) 10%);
}
.orgchart a:focus {
    border: 1px dotted #fff;
}
.orgchart .node {
    width: auto;
    min-width: 200px;
    padding: 5px;
    margin: -5px;
}
.orgchart .warning {
    border: 1px dashed #999;
    background: #f8efc0;
}
.orgchart .danger {
    border: 1px dashed #999;
    background: #e7c3c3;
}
.orgchart .node .border {
    border: 1px solid rgba(0, 0, 0, 0.1);
}
.orgchart .node .title {
    font-size: 16px;
    padding: 3px 4px 0;
    background-color: #3e4c5b;
    color: #fff;
    border-radius: 0;
    line-height: 25px;
    height: 30px;
    border: none;
    justify-content: space-between;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
}
.orgchart .node .title > i.fa {
    line-height: 25px;
}
.orgchart .node .title a i.text-success {
    padding: 4px 0 0 4px;
    color: #54a156;
}
.orgchart .node .content {
    height: 30px;
    font-size: 14px;
    line-height: 28px;
    border: none;
    border-radius: 0;
    display: table;
    width: 100%;
}
.orgchart .node .content .text {
    padding-left: 5px;
    display: table-cell;
    text-align: left;
    vertical-align: top;
}
.orgchart .node .content .td-group {
    display: table-cell;
    text-align: right;
    font-size: 14px;
}
.orgchart .node .content .td-group .td-group-sub-sub,
.orgchart .node .content .td-group .td-group-sub-sub .td-group-fieldvalue
{
    display: inline-block;
}
.orgchart .node .content .td-group .td-group-sub-sub .td-group-fieldvalue a,
.orgchart .node .content .td-group .td-group-sub-sub .td-group-fieldvalue .btn-link
{
    display: inline-block;
    padding: 0 2px;
    font-size: 20px;
}
.orgchart .node .title .symbol {
    margin-right: 2px;
}
.orgchart .node .title .fa-users:hover {
    color: #3e4c5b;
    cursor: pointer;
}
.orgchart .lines .topLine {
    border-top: 2px solid #3e4c5b;
}
.orgchart .lines .rightLine {
    border-right: 1px solid #3e4c5b;
}
.orgchart .lines .leftLine {
    border-left: 1px solid #3e4c5b;
}
.orgchart .lines .downLine {
    background-color: #3e4c5b;
}
.orgchart .verticalNodes>td::before {
    border: #3e4c5b;
}
.orgchart .verticalNodes ul>li::before,
.orgchart .verticalNodes ul>li::after {
    border-color: #3e4c5b;
}
.orgchart .node:hover .title {
    background-color: #667689;
}
.orgchart .node:hover .content {
    background-color: #eee;
}
.orgchart .node.focused {
    background-color: #eee;
}
.orgchart .node:hover {
    background-color: #eee;
}
.orgchart .node {
    position: relative;
    top: -4px;
    margin-bottom: -11px;
}
.orgchart {
    cursor: grab;
}
.orgchart div {
    cursor: auto;
}
.orgchart.grabbing {
    cursor: grabbing;
}
.orgchart .node.active {
    border-color: #2a6c9e;
}

/**
 * Chosen plugin (jquery)
 */
.chosen-container-single .chosen-single abbr {
    background: url("chosen/chosen-sprite.png") -42px 1px no-repeat;
}
.chosen-container-single .chosen-single div b {
    background: url("chosen/chosen-sprite.png") no-repeat 0 2px;
}
.chosen-container-single .chosen-search input[type="text"] {
    background: url("chosen/chosen-sprite.png") no-repeat 100% -20px;
}
.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
    background: url("chosen/chosen-sprite.png") -42px 1px no-repeat;
}
.chosen-rtl .chosen-search input[type="text"] {
    background: url("chosen/chosen-sprite.png") no-repeat -30px -20px;
}
@media only screen and (-webkit-min-device-pixel-ratio: 1.5), only screen and (min-resolution: 144dpi), only screen and (min-resolution: 1.5dppx) {
    .chosen-container .chosen-results-scroll-up span {
        background-image: url("chosen/chosen-sprite@2x.png") !important;
    }
}

/**
 * Font awesome
 */
.fa.text-warning,
.fas.text-warning,
.far.text-warning,
.fab.text-warning
{
    color: #ffb230;
}

/**
 * Sections
 */
section.bg-white > header {
    position: relative;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    padding-bottom: 4px;
}
section.bg-white > header > * {
    display: inline-block;
}
section.bg-white > header > h2 {
    border-bottom: none;
}
section.bg-white > header > .r-actions {
    position: absolute;
    right: 10px;
    top: 8px;
}
section.bg-white.ui-widget.ui-widget-content {
    border: none;
    border-radius: 0;
    position: relative;
    margin-top: 38px;
}
section.bg-white.ui-widget.ui-widget-content > ul.ui-tabs-nav {
    border-top: none;
    border-left: none;
    border-right: none;
    background: #f1f1f1;
}
section.bg-white.ui-widget.ui-widget-content > * {
    position: relative;
    top: -38px;
}
section.bg-white.ui-widget.ui-widget-content > section.bg-white {
    padding-bottom: 0;
    box-shadow: unset;
}

/**
 * Boutons
 */
.container.bg-white > .btn-separator {
    float: left;
    padding-bottom: 5px;/* au lieu de 10px */
}
.btn-separator .btn {
    float: left;
    margin-bottom: 5px;
}
.btn-separator .btn + .btn,
.btn-separator .btn + script + .btn,
.btn-separator .btn + script + script + .btn
{
    margin-left: 5px;
}
.btn-separator .btn.float-none {
    float: none;
}
.btn:focus {
    outline: 1px solid #333;
    text-decoration: underline;
}

/**
 * Displays
 */
.block {
    display: block;
}

/**
 * a link
 */
.ui-widget-content a {
    color: #337ab7;
}
.ui-widget-content a:hover {
    color: #23527c;
}
.ui-state-active a:hover {
    color: #fff;
}
.ui-widget-content a.btn {
    color: #fff;
}
.ui-widget-content a.btn:hover {
    color: #fff;
}
.ui-state-active a.btn:hover {
    color: #fff;
}

/**
 * Amélioration du chosen.js
 */
.chosen-container {
    display: block;
    width: 100%;
}
.chosen-container-single .chosen-single {
    padding-top: 5px;
    height: 34px;
}
.chosen-container-single .chosen-single div {
    top: 5px;
}
.form-group {
    position: relative;
}
.chosen-container-multi .chosen-choices {
    min-height: 34px;
    padding: 1px 3px;
    font-size: 14px;
    border: 1px solid #ccc;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
    -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
.chosen-container-multi .chosen-choices li.search-choice {
    padding: 5px 20px 5px 5px;
}
.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
    top: 6px;
}
select[multiple].chosenified {
    height: 34px;
}
.chosen-container.invalid .chosen-single,
.chosen-container.invalid .chosen-choices
{
    border: 1px solid #66afe9;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
}

.btn-link {
    border: none;
    padding: 0;
}
.btn-link:focus {
    outline: 1px dotted #4c575f;
    outline-color: initial;
    outline-color: invert;
}
.nav > li > .btn-link {
    position: relative;
    display: block;
    padding: 10px 15px;
}
.navbar-nav > li > .btn-link {
    text-shadow: 0 1px 0 rgba(255,255,255,.25);
    padding-top: 10px;
    padding-bottom: 10px;
    line-height: 20px;
}
@media (min-width: 768px) {
    .navbar-nav > li > .btn-link {
        padding-top: 15px;
        padding-bottom: 15px;
    }
}

.dropdown-menu > li > .btn-link:focus,
.dropdown-menu > li > .btn-link:hover
{
    background-color: #e8e8e8;
    background-image: -webkit-linear-gradient(top,#f5f5f5 0,#e8e8e8 100%);
    background-image: -o-linear-gradient(top,#f5f5f5 0,#e8e8e8 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#f5f5f5),to(#e8e8e8));
    background-image: linear-gradient(to bottom,#f5f5f5 0,#e8e8e8 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff5f5f5', endColorstr='#ffe8e8e8', GradientType=0);
    background-repeat: repeat-x;
}
.dropdown-menu > li > .btn-link:focus, .dropdown-menu > li > .btn-link:hover
{
    color: #262626;
    text-decoration: none;
    background-color: #f5f5f5;
}
.dropdown-menu > li > .btn-link {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 400;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
    width: 100%;
    text-align: left;
}
.dropdown-menu > li > .navbar-link.btn-link {
    color: #F5F5F5;
}
.dropdown-menu > li > .btn-link:focus,
.dropdown-menu > li > .btn-link:hover
{
    color: #262626;
    text-decoration: none;
    background-color: #f5f5f5;
}
.nav > li > .btn-link:focus,
.nav > li > .btn-link:hover
{
    text-decoration: none;
    background-color: #eee;
}
.navbar-asalae .navbar-nav > .open > .btn-link,
.navbar-asalae .navbar-nav > .open > .btn-link:hover,
.navbar-asalae .navbar-nav > .open > .btn-link:focus
{
    color: #555;

    background-color: #e7e7e7;
}

.chosen-container-single .chosen-single abbr {
    top: 11px;
}

table.fixed-left-th th {
    width: 40%;
}

.tDnD_whileDrag {
    outline: 2px dotted;
}

.btn-link:focus .fa.text-warning,
.btn-link:hover .fa.text-warning,
.btn-link:focus .fas.text-warning,
.btn-link:hover .fas.text-warning,
.btn-link:focus .far.text-warning,
.btn-link:hover .far.text-warning,
.btn-link:focus .fab.text-warning,
.btn-link:hover .fab.text-warning
{
    color: #c88c28;
}
.btn-link:focus .fa.text-danger,
.btn-link:hover .fa.text-danger,
.btn-link:focus .fas.text-danger,
.btn-link:hover .fas.text-danger,
.btn-link:focus .far.text-danger,
.btn-link:hover .far.text-danger,
.btn-link:focus .fab.text-danger,
.btn-link:hover .fab.text-danger
{
    color: #863230;
}
.btn-link:focus .fa.text-success,
.btn-link:hover .fa.text-success,
.btn-link:focus .fas.text-success,
.btn-link:hover .fas.text-success,
.btn-link:focus .far.text-success,
.btn-link:hover .far.text-success,
.btn-link:focus .fab.text-success,
.btn-link:hover .fab.text-success
{
    color: #254d26;
}
.btn-link:focus .fa.text-info,
.btn-link:hover .fa.text-info,
.btn-link:focus .fas.text-info,
.btn-link:hover .fas.text-info,
.btn-link:focus .far.text-info,
.btn-link:hover .far.text-info,
.btn-link:focus .fab.text-info,
.btn-link:hover .fab.text-info
{
    color: #214e65;
}

.text-success.pale {
    color: #4ba74d;
}

.multi-step-form-progress-bar ol {
    width: 100%;
    text-align: center;
    margin-top: 20px;
}
.multi-step-form-progress-bar ol li {
    list-style-type: none;
    counter-increment: progress;
    display: inline-block;
    width: 100px;
    vertical-align: top;
    text-align: center;
}
.multi-step-form-progress-bar ol li:before {
    content: " ";
    content: counter(progress);
    background-color: #2A5870;
    color: #FFFFFF;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    padding: 5px 11px;
    margin: auto;
    display: block;
    z-index: 2;
    position: relative;
}
.multi-step-form-progress-bar ol li .bar {
    height: 5px;
    position: relative;
    background-color: #2A5870;
    width: 100px;
    top: -18px;
    left: 50%;
    z-index: 1;
}
.multi-step-form-progress-bar ol li .title {
    min-width: 50px;
    margin: 0 5px;
    text-align: center;
    display: block;
}
.multi-step-form-progress-bar ol li:last-child .bar {
    width: 0;
}
.multi-step-form-progress-bar ol li.success:last-child:before {
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    content: "\f024";
}
.multi-step-form-progress-bar ol li.success .bar {
    background-color: #2ca02c;
}
.multi-step-form-progress-bar ol li.success:before {
    content: "\2713";
    background-color: #2ca02c;
}
.multi-step-form-progress-bar ol li.active:before {
    background-color: #2aabd2;
}

#drop-zone-custom-menu {
    color: white;
    text-align: center;
    border: 1px dashed lightgrey;
    margin: 5px 10px;
    padding: 5px;
}

table.fixed-left-th th {
    width: 40%;
}

textarea.console, pre.console, textarea.console[readonly] {
    font-family: monospace;
    color: white;
    background-color: #3c0d29;
    min-height: 250px;
    resize: vertical;
}

.td-favorite, .td-checkbox {
    width: 32px;
}

.btn + .btn,
.btn + script + .btn,
.btn + script + script + .btn
{
    margin-left: 5px;
}

table.parsed-json-data th {
    padding-right: 10px;
}
table.parsed-json-data th, table.parsed-json-data td {
    padding-bottom: 5px;
}

/**
 * jquery-ui-timepicker-addon.css
 */
.ui-timepicker-div .ui-widget-header { margin-bottom: 8px; }
.ui-timepicker-div dl { text-align: left; }
.ui-timepicker-div dl dt { float: left; clear:left; padding: 0 0 0 5px; }
.ui-timepicker-div dl dd { margin: 0 10px 10px 40%; }
.ui-timepicker-div td { font-size: 90%; }
.ui-tpicker-grid-label { background: none; border: none; margin: 0; padding: 0; }
.ui-timepicker-div .ui_tpicker_unit_hide{ display: none; }

.ui-timepicker-div .ui_tpicker_time .ui_tpicker_time_input { background: none; color: inherit; border: none; outline: none; border-bottom: solid 1px #555; width: 95%; }
.ui-timepicker-div .ui_tpicker_time .ui_tpicker_time_input:focus { border-bottom-color: #aaa; }

.ui-timepicker-rtl{ direction: rtl; }
.ui-timepicker-rtl dl { text-align: right; padding: 0 5px 0 0; }
.ui-timepicker-rtl dl dt{ float: right; clear: right; }
.ui-timepicker-rtl dl dd { margin: 0 40% 10px 10px; }

/* Shortened version style */
.ui-timepicker-div.ui-timepicker-oneLine { padding-right: 2px; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_time,
.ui-timepicker-div.ui-timepicker-oneLine dt { display: none; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_time_label { display: block; padding-top: 2px; }
.ui-timepicker-div.ui-timepicker-oneLine dl { text-align: right; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd,
.ui-timepicker-div.ui-timepicker-oneLine dl dd > div { display:inline-block; margin:0; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_minute:before,
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_second:before { content:':'; display:inline-block; }
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_millisec:before,
.ui-timepicker-div.ui-timepicker-oneLine dl dd.ui_tpicker_microsec:before { content:'.'; display:inline-block; }
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_unit_hide,
.ui-timepicker-div.ui-timepicker-oneLine .ui_tpicker_unit_hide:before{ display: none; }

.console.success {
    color: green;
}
.console.warning {
    color: orange;
}
.console.error {
    color: red;
}

.fieldset {
    padding-top: 20px;
    padding-bottom: 3px;
    border-bottom: 1px solid #e5e5e5;
}

.jstree.disabled {
    opacity: 0.33;
}
.jstree.disabled * {
    cursor: not-allowed;
}
#data-edit-transfert, #data-repair-transfert, .jstree-div-form {
    background: #ffffff;
}
.jstree .child-value {
    font-style: italic;
    font-weight: bold;
    padding-left: 3px;
}
.vakata-context {
    z-index: 10000;
}
.vakata-context li > a:focus {
    outline: 1px dashed #333;
}

.has-error .attributesList .control-label {
    color: inherit;
}
.has-error .attributesList .help-block {
    color: #737373;
}
.has-error .attributesList .form-control {
    border-color: #ccc;
}

.ui-widget.ui-widget-content:not(.ui-datepicker):not(.ui-slider), .ui-widget-content:not(.ui-datepicker):not(.ui-slider) {
    border: none;
}
.ui-widget button {
    font-size: 14px;
}
.ui-widget button.fa {
    font: normal normal normal 14px/1 FontAwesome;
}

.jstree-default > .jstree-no-dots .jstree-node.dragging .jstree-wholerow {
    background-color: #ffd236;
}
.hover-bottom .jstree-wholerow {
    border-bottom: 2px solid #ccc;
    margin-bottom: -2px;
}
.hover-top .jstree-wholerow {
    border-top: 2px solid #ccc;
    margin-top: -2px;
}

.select2-container .select2-selection {
    padding-top: 2px;
}
.select2-container .select2-search--inline {
    float: none;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 4px;
}
.select2-container .select2-selection--single {
    height: 34px;
}
.select2-container--default .select2-selection--single .select2-selection__clear {
    font-size: 20px;
    margin-right: 5px;
}
.select2-container--default .select2-selection--single .select2-selection__clear:hover {
    color: #adadad;
}

.form-group.required::before {
    content: '*';
    color: red;
    position: absolute;
    left: -10px;
    width: 0;
    margin-right: -5px;
    top: 4px;
    font-size: 16px;
}

.code-dump {
    background-color: #f9f2f4;
}

.error-contents {
    z-index: 1100;
}

.top-space {
    padding-top: 20px;
}
.bottom-space {
    padding-bottom: 20px;
}
.padding10 {
    padding: 10px;
}

.ui-tabs button .fa,
.ui-tabs button .fas,
.ui-tabs button .far,
.ui-tabs button .fab
{
    font-size: 18px;
}

.fake-input .dropbox {
    text-align: left;
    padding: 10px;
    min-height: 0;
    margin: 0 0 10px 0;
}
.fake-input .dropbox > i.fa {
    vertical-align: middle;
    margin: 0 15px;
}
.fake-input .dropbox p {
    display: inline-block;
}
.fake-input .dropbox .btn {
    float: left;
    margin-top: 10px;
}

ul.dashboard {
    background-color: #ffffff;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.15);
}
ul.dashboard > li {
    list-style: none;
    padding: 2px 10px;
    position: relative;
}
ul.dashboard > li:hover {
    background-color: #f0f0f0;
}
ul.dashboard > li + li {
    border-top: 1px solid #ccc;
}
ul.dashboard > li > a > span {
    font-size: 30px;
    color: #4c575f;
}
ul.dashboard > li > a > span.count {
    position: absolute;
    right: 15px;
}

input.key-value-pair {
    display: inline-block;
    width: 33%;
}
input.key-value-pair + input.key-value-pair {
    display: inline-block;
    width: 67%;
}

tr > td.action:last-child, tr > th.action:last-child {
    text-align: right;
}

table.table tbody td.action.overflow div.td-group {
    display: inline-block;
    float: right;
}
table.table tbody td.action.overflow div.td-group-sub, table.table tbody td.action.overflow div.td-group-sub-sub {
    display: block;
}

.select2-container--default .select2-selection--multiple .locked-tag .select2-selection__choice__remove {
    display: none;
}
.select2-container--default .select2-selection--multiple .locked-tag:after {
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    content: "\00a0\f023";
    color: #98551d;
}
.select2-results__option[aria-selected="true"]{
    display: none;
}

textarea {
    max-width: 100%;
}

article > header {
    position: relative;
}

.toggle-password.double-append {
    position: absolute;
    top: 0;
    right: 44px;
    z-index: 100;
    cursor: pointer;
    width: 36px;
    font-size: 14px;
    text-decoration: none;
    color: #555;
    padding: 10px;
}
.toggle-password.double-append:hover {
    color: #173A94;
    text-decoration: none;
}

.disabled, .disabled * {
    cursor: not-allowed;
}
.disabled.gray:hover *,
.disabled.gray:hover .fa,
td.action a.disabled i.fa,
td.action a.disabled i.fas,
td.action a.disabled i.far,
td.action a.disabled i.fab,
.disabled.gray,
.disabled.gray *,
.disabled.gray .fa,
.disabled.gray .fas,
.disabled.gray .far,
.disabled.gray .fab,
.disabled.gray:hover,
.disabled.gray *:hover,
.disabled.gray .fa:hover,
.disabled.gray .fas:hover,
.disabled.gray .far:hover,
.disabled.gray .fab:hover
{
    color: gray;
}

table.table-vignette td span.td-group-fieldvalue.h4 {
    padding-left: 10px;
    display: inline-block;
    vertical-align: middle;
}
table.table-vignette tbody td span.td-group-fieldname {
    min-width: 60px;
}

div.container-flex.home {
    display:flex;
    justify-content: flex-start;
    flex-wrap: wrap;
}
div.container-flex.home .vignette {
    width: 48%;
    margin-bottom: 2%;
}
@media (max-width: 992px) {
    div.container-flex.home .vignette:nth-child(even) {
        margin-left: 2%;
    }
}
@media (min-width: 992px) {
    div.container-flex.home .vignette {
        width: 32%;
    }
    div.container-flex.home .vignette:nth-child(2n),
    div.container-flex.home .vignette:nth-child(3n) {
        margin-left: 2%;
    }
}

ul.pagination li.ellipsis button {
    font-size: 12px;
    position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    line-height: 1.35;
    color: #337ab7;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #ddd;
}
ul.pagination li.ellipsis button:hover {
    z-index: 2;
    color: #23527c;
    background-color: #eee;
    border-color: #ddd;
}

.fixed-height-jstree {
    max-height: 400px;
    overflow-y: auto;
}

.btn-filter {
    font-weight: bold;
}
.filter-popup, .generic-popup {
    background-color: #ffffff;
    box-shadow: 1px 1px 7px rgba(0, 0, 0, 0.6);
    padding: 10px;
    min-width: 250px;
    z-index: 100;
}
.filter-popup .close, .generic-popup .close {
    z-index: 110;
}
.filter-popup input {
    font-weight: normal;
}
.filter-popup .form-group:last-child {
    margin: 0;
}

button.btn-link.remove-filter {
    font-weight: bold;
}

.input-group-addon.btn:not(.btn-default) {
    color: #fff;
}

.btn-link[disabled],
.btn-link[disabled] .fa,
.btn-link[disabled]:hover .fa,
.btn-link[disabled] .fas,
.btn-link[disabled]:hover .fas,
.btn-link[disabled] .far,
.btn-link[disabled]:hover .far,
.btn-link[disabled] .fab,
.btn-link[disabled]:hover .fab
{
    color: #777;
    text-decoration: none;
}

.container.smaller {
    max-width: 992px;
}

.large-hr {
    border-top: 4px double #8c8b8b;
}
.large-hr::after {
    display: inline-block;
    position: relative;
    top: -15px;
    padding: 0 10px;
    background: #f0f0f0;
}

.ui-tabs .ui-tabs-panel .ui-tabs-nav {
    background-color: transparent;
    border-radius: 0;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    padding: 0 1.4em;
}

.table > tbody > tr.success {
    background-color: #dff0d8;
}
.table > tbody > tr.info {
    background-color: #d9edf7;
}
.table > tbody > tr.warning {
    background-color: #fcf8e3;
}
.table > tbody > tr.danger {
    background-color: #f2dede;
}
.table-striped > tbody > tr:nth-of-type(2n+1).success {
    background-color: #d9ead2;
}
.table-striped > tbody > tr:nth-of-type(2n+1).info {
    background-color: #d3e7f1;
}
.table-striped > tbody > tr:nth-of-type(2n+1).warning {
    background-color: #f6f2dd;
}
.table-striped > tbody > tr:nth-of-type(2n+1).danger {
    background-color: #ecd8d8;
}
tr.active {
    border-left: 4px solid #4e6174;
}
.table > tbody > tr > td,
.table > tbody > tr.success > td,
.table > tbody > tr.warning > td,
.table > tbody > tr.danger > td,
.table > tbody > tr.info > td {
    background-color: transparent;
}
.table > tbody > tr.active > td, .table > tbody > tr.active:hover > td {
    background-color: #2d5d9330;
}
.table > tbody > tr.active.danger > td, .table > tbody > tr.active.danger:hover > td {
    background-color: #932d2d30;
}
.table > tbody > tr.active.success > td, .table > tbody > tr.active.success:hover > td {
    background-color: #2d934730;
}
.table > tbody > tr.active.info > td, .table > tbody > tr.active.info:hover > td {
    background-color: #2d399330;
}
.table > tbody > tr.active.warning > td, .table > tbody > tr.active.warning:hover > td {
    background-color: #91932d30;
}

.table td.action {
    text-align: right;
}
.table td.action .td-group-sub-sub {
    text-align: left;
}
.table td.action .td-group-sub-sub + .td-group-sub-sub .subactions {
    border-left: 1px solid #aaa;
    margin-left: 2px;
}
.table td.action .subactions {
    position: relative;
}
.table td.action .subactions > a,
.table td.action .subactions > a:hover {
    padding: 3px;
    display: inline-block;
}
.table td.action .subactions > a > i.fa {
    padding: 2px 10px;
}
.table td.action .subactions .dropdown-menu {
    position: absolute;
    top: 30px;
    left: unset;
    right: 0;
}
.table td.action .subactions .dropdown-menu i.fa {
    vertical-align: middle;
}
.subactions a.dropdown-toggle:focus {
    outline: 1px dotted #4c575f;
    text-decoration: underline;
}
.fa.fas {
    font: normal normal 900 14px/1 "Font Awesome 5 Free";
}

.uploading-message span + span {
    border-left: 1px solid #b0b0b0;
    margin-left: 5px;
    padding-left: 5px;
}

/* Permet l'affichage sur une seule ligne de 3 actions + le placard (146px) */
th.action {
    min-width: 150px;
}

.btn-link.color-white {
    color: white;
}
.btn-link.color-white:hover {
    color: lightgray;
}

.progress-bar {
    min-width: 20px;
    text-shadow: 1px 1px 1px black;
}
.progress-wrap {
    position: relative;
    overflow: visible;
    display: flex;
    align-items: center;
}
.progress-wrap > .progress {
    height: 5px;
    position: absolute;
    top: auto;
    bottom: auto;
    width: 100%;
    margin: 0;
}
.progress-text {
    position: absolute;
    top: 1px;
    display: inline-block;
    text-align: center;
    text-shadow: 1px 1px 1px black;
    color: #fff;
    left: 0;
    width: 50px;
    line-height: normal;
    background-color: #d9534f;
    border-radius: 5px;
    width: 50px;
}

.filter-popup > button.close {
    z-index: 101;
    top: -5px;
}
.filter-popup > button.btn-small, .generic-popup > button.btn-small {
    padding: 0 5px;
    width: 100%;
}
.btn > i + span {
    margin-left: 5px;
}

#probe-div div.progress {
    margin-bottom: 5px;
    height: 14px;
}
#probe-div div.progress-bar span {
    position: relative;
    top: -3px;
    font-size: 14px;
}

ul.flatten-values {
    padding: 0;
}
ul.flatten-values li.li-row {
    display: table-row;
}
ul.flatten-values li.li-row span.key, ul.flatten-values li.li-row span.value {
    display: table-cell;
}
ul.flatten-values li.li-row span.key {
    padding-right: 10px;
    font-weight: bold;
}
.progress-flat {
    background-image: none;
    background-color: #e9ecef;
    box-shadow: none;
}
.progress-flat .progress-bar {
    text-shadow: none;
    background-image: none;
    filter: none;
    box-shadow: none;
}
td.action .btn-link:hover, td.action a:hover {
    background-color: #ffffff;
}

.modal .container-flash {
    width: 100%;
    padding: 0;
}

.accordion .ui-state-active {
    background: #3073ad;
}
.accordion .ui-widget.ui-widget-content:not(.ui-datepicker):not(.ui-slider),
.ui-widget-content:not(.ui-datepicker):not(.ui-slider):not(.ui-tabs-panel):not(.ui-tabs) {
    border: 1px solid #ddd;
}
.accordion .checkbox.form-group {
    position: relative;
}

.modal-open .modal {
    max-height: 100vh;
    overflow: hidden;
}

.modal-open .modal:not(.small-modal) .modal-body {
    min-height: calc(40vh + 141px);
    max-height: calc(90vh - 141px);
}

#login-modal .modal-body {
    min-height: 0;
}
#login-modal h2 {
    border-bottom: none;
    padding-bottom: 0;
}
#login-modal .login-block {
    border: 0;
    box-shadow: none;
    background-color: white;
    display: block;
    padding: 0;
    max-width: 100%;
}
#login-modal .form-block {
    padding: 0;
}

div.form-group.has-attribute button .fa-tags {
    color: #ffb230;
}

.alert-soft {
    color: #333;
    background-color: #ffffff;
    background-image: none;
}

ul.search-bar-results {
    display: block;
    position: absolute;
    top: 59px;
    left: 0;
    background: white;
    max-height: 250px;
    overflow: auto;
    width: 100%;
    border: 1px solid #333;
    border-top: 0;
    z-index: 100;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.6);
}
ul.search-bar-results li + li {
    border-top: 1px solid #999;
}
ul.search-bar-results li {
    padding: 5px 0 5px 10px;
}
ul.search-bar-results li table {
    width: 100%;
    border-collapse: separate;
    border-style: hidden;
}
ul.search-bar-results li table tbody tr {
    margin-top: 2px;
    margin-bottom: 2px;
    cursor: pointer;
}
ul.search-bar-results li table:hover tbody tr:first-child th:first-child {
    text-decoration: underline;
}
ul.search-bar-results li table tbody tr:first-child th:first-child {
    border-radius: 5px 0 0 5px;
    border: 1px solid #ccc;
}
ul.search-bar-results li table tbody tr:first-child th:nth-child(2) {
    border-top: 1px solid #ccc;
}
ul.search-bar-results li table tbody tr:last-child th {
    border-bottom: 1px solid #ccc;
}
ul.search-bar-results li table tbody tr th {
    border-right: 1px solid #ccc;
    font-weight: normal;
}
ul.search-bar-results li table tbody tr th {
    color: #555;
    text-align: center;
    background-color: #eee;
    padding: 10px;
}
ul.search-bar-results li table tbody tr th[rowspan] {
    border-top-left-radius: 5px;
}
ul.search-bar-results li table tbody tr:hover td {
    background-color: #f6f6f6;
}
ul.search-bar-results li table tbody tr th {
    min-width: 120px;
}
ul.search-bar-results li table tbody tr td {
    width: 85%;
    padding-left: 10px;
}
ul.search-bar-results li table tbody tr + tr td {
    border-top: 1px solid #ccc;
}

div.main-content > form > .container.filters,
div.main-content > form > .container.basket,
div.main-content > .body-row > form > .container.filters,
div.main-content > .body-row > form > .container.basket
{
    margin-bottom: 10px;
}
section.filters,
section.basket
{
    position: relative;
}
section.filters div.toggle-button,
section.basket div.toggle-button
{
    padding: 2px;
}
section.filters div.toggle-button button,
section.basket div.toggle-button button
{
    width: 100%;
}
section.filters div.toggle-button button:hover,
section.basket div.toggle-button button:hover
{
    background-color: #eee;
}

section.filters div.hidden-section,
section.basket div.hidden-section
{
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}
section.filters .filter-title,
section.basket .basket-title
{
    margin: 0;
    position: absolute;
    top: 5px;
    left: 10px;
    color: #666;
    padding: 0;
    text-decoration: none;
    border: none;
    font-size: 20px;
    z-index: 10;
}

table > thead > tr > th {
    min-width: 100px;
    max-width: 100%;
    word-wrap: break-word;
}
th.table-favorite, th.table-checkbox, .ui-datepicker-calendar th {
    min-width: 0;
}

.modal .filter-popup .input-group-addon, .modal .filter-popup .input-group-btn {
    width: auto;
}
.modal .filter-popup .form-group:first-of-type {
    margin-top: 22px;
}

.fa-space:after {
    content: ' ';
    white-space: pre;
}

div.checkbox > label > input[type="checkbox"].with-icon {
    margin-left: -37px;
}
.as-star-o:before {
    content: "\f006\00a0";
    font-family: FontAwesome, serif;
}

.chosenified ul.chosen-choices{
    max-height:80px;
    overflow: auto;
}

.chosen-with-drop .chosen-drop {
    position: fixed;
    position: -webkit-sticky;
    position: sticky;
}

.form-group.loading:before {
    content: "\f110";
    font-family: FontAwesome, serif;
    position: absolute;
    left: -20px;
    top: 32px;

    -webkit-animation-name: spin;
    -webkit-animation-duration: 2000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;

    -moz-animation-name: spin;
    -moz-animation-duration: 2000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;

    -ms-animation-name: spin;
    -ms-animation-duration: 2000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;

    animation-name: spin;
    animation-duration: 2000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@-ms-keyframes spin {
    from {
        -ms-transform: rotate(0deg);
    } to {
        -ms-transform: rotate(360deg);
    }
}
@-moz-keyframes spin {
    from {
        -moz-transform: rotate(0deg);
    } to {
        -moz-transform: rotate(360deg);
    }
}
@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    } to {
        -webkit-transform: rotate(360deg);
    }
}
@keyframes spin {
    from {
        transform: rotate(0deg);
    } to {
        transform: rotate(360deg);
    }
}

.prev-ext > .fa-file-o + .fa-clock-o {
    font-size: 26px;
    padding-top: 3px;
}

fieldset + fieldset {
    margin-top: 10px;
}
/* le ul est sorti du p.help-block par le navigateur */
.form-group .help-block + ul {
    color: #737373;
    margin-top: -10px; /* contre le margin-bottom: 10px; du .help-block */
}

.keyboard-key {
    font-size: 18px;
    border: 1px solid #333;
    border-radius: 5px;
    padding: 2px 4px;
    -webkit-box-shadow: -1px 1px 1px 0 rgba(0,0,0,1);
    -moz-box-shadow: -1px 1px 1px 0 rgba(0,0,0,1);
    box-shadow: -1px 1px 1px 0 rgba(0,0,0,1);
    background-color: #fafafa;
}
.keyboard-comb * + * {
    margin-left: 10px;
    vertical-align: center;
}
.keyboard-comb + .keyboard-comb {
    margin-top: 10px;
}

.font-weight-bold {
    font-weight: bold;
}

.indicators-table {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}
.indicators-table > * > tr > th:not(.removable) {
    min-width: 250px;
    max-width: 250px;
    width: 250px;
}
.indicators-table tbody tr:not(.font-weight-bold) th {
    font-weight: normal;
}
.indicators-table .col-0 {
    border-left: 2px solid #ddd;
}

.orgchart .inactive .content {
    background-color: #eaeaea;
}

.navbar-asalae .alert.navbar-link:hover {
    color: #262626;
    background-image: none;
    background-color: #ededed;
    cursor: pointer;
}

.td-group-fieldvalue {
    word-wrap: anywhere;
}

.dropdown-menu > .active > .btn-link,
.dropdown-menu > .active > .btn-link:hover,
.dropdown-menu > .active > .btn-link:focus {
    color: #fff;
    text-decoration: none;
    background-color: #337ab7;
    outline: 0;
}
.dropdown-menu > .active.select-archival-agency > .btn-link:before {
    content: " > ";
}

.paginable-section + section {
    padding-top: 10px;
    padding-right: 0;
}

.ls-footer .ls-footer-item .ls-hide-when-no-login{
    display: none;
}

.cake-error {
    font-family: monospace;
    display: block;
    /*noinspection CssNonIntegerLengthInPixels*/
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.jstree li.active_node > div {
    background-color: rgba(10, 147, 200, 0.24);
}
.jstree li.active_node:hover > div {
    background-color: rgba(10, 147, 200, 0.45);
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #ccc;
}

.compact ul.ui-tabs-nav li.ui-tab:not(.ui-tabs-active):not(:hover) a span.text {
    display: none;
}

.has-error .help-block:not(.error-message) {
    color: #737373;
}

/* icone custom */
@font-face {
    font-family: asalae;
    src: url("font_asalae/asalae_icons.eot");
    src: url("font_asalae/asalae_icons.ttf") format("ttf"),
        url("font_asalae/asalae_icons.woff") format("woff"),
        url("font_asalae/asalae_icons.svg") format("svg");
    font-weight: normal;
    font-style: normal;
}
.fa-certificate-solid-slash:before {
    font: normal normal normal 20px asalae;
    content: "\e900";
}
.fa-certificate-solid-arrow-down:before {
    font: normal normal normal 20px asalae;
    content: "\e901";
}
.fa-certificate-solid-eject:before {
    font: normal normal normal 20px asalae;
    content: "\e902";
}

.progress.progress-flat .progress-bar > span {
    white-space: nowrap;
}

section.bg-white > header > .r-actions {
    display: flex;
    margin: 0;
    top: 13px;
}
section.bg-white > header > .r-actions > .pagination {
    flex: content;
    margin: 0 10px 0 0;
}
section.bg-white > header > .r-actions > .configure-link {
    margin-top: 5px;
}
section.bg-white > header > .r-actions > .configure-link {
    margin-top: 5px;
}
section.bg-white > header > .results {
    position: absolute;
    left: 0;
    right: 0;
    top: 20px;
    width: 100%;
    text-align: center;
}
section.bg-white > header > .l-actions {
    position: absolute;
    z-index: 10;
}
.select2-selection--multiple .select2-selection__clear {
    border: 1px solid #7b7b7b;
    border-radius: 4px;
    padding: 1px 7px;
}

#all-tube td > button {
    text-align: left;
}

.jobs-table td button.btn-link, .jobs-table td {
    font-weight: bold;
    text-shadow: #1a1a1a;
}
.jobs-table td.pending button.btn-link {
    color: #66512c;
}
.jobs-table td.pending button.btn-link:hover {
    color: #214e65;
}
.jobs-table tr.has-error td.failed button.btn-link {
    color: #a94442;
}
.jobs-table tr.has-error td.failed button.btn-link:hover {
    color: #863230;
}

.vignette.loading {
    background-color: #F5F5F5FF;
}

.separator.with-buttons .btn ~ .btn {
    margin-left: 5px;
}

/**
 * import from refae
 */
.dropbox.dropbox-small {
    text-align: left;
    padding: 10px;
    min-height: 0;
    margin: 0 0 10px 0;
}
.dropbox.dropbox-small {
    text-align: left;
    padding: 10px;
    min-height: 0;
    margin: 0 0 10px 0;
}
.dropbox.dropbox-small > i.fa {
    vertical-align: middle;
    margin: 0 15px;
}
.dropbox.dropbox-small p {
    display: inline-block;
}
.dropbox.dropbox-small .btn {
    float: left;
    margin-top: 10px;
}
.custom-file, .custom-file-input {
    height: auto;
}
/**
 * end import from refae
 */

table.table tbody td div.td-group-sub-sub {
    display: flex;
    align-items: flex-start;
}
table.table tbody td span.td-group-fieldname {
    flex: 0 0 160px;
    font-weight: bold;
    margin-right: 5px;
    color: #265D66;
    vertical-align: top;
}
table.table tbody td div.td-group-fieldvalue {
    flex: 1;
    word-break: break-word;
}

.inline-checkbox > .form-group-wrapper {
    display: flex;
    gap: 20px;
}
.inline-checkbox > .form-group-wrapper > .checkbox,
.inline-checkbox > .form-group-wrapper > .checkbox + .checkbox
{
    margin-top: 0;
}

#body-content #body-row > .main-container > .main-content > .container {
    max-width: 100%;
    word-wrap: anywhere; /* Si un mot est trop long, ça casse le design */
}
#body-content #body-row > .main-container > .main-content > .container .row {
    width: 100%; /* evite l'ascenseur horizontal */
}
#body-content #body-row > .main-container > .main-content > form > .container {
    max-width: 100%;
}
#body-content #body-row > .main-container > .main-content > form > .container .row {
    width: 100%; /* evite l'ascenseur horizontal */
}
#body-content #body-row > .main-container > .main-content > .container > .form-group {
    position: relative;
}

/**
 * Sidebar
 */
#body-row {
    display: flex;
    margin-left:0;
    margin-right:0;
    width: 100%;
}
#sidebar-container {
    height: calc(100vh - 88px);
    background-color: #fff;
    padding: 0;
    -webkit-box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
    -webkit-transition: width .3s;
    transition: width .3s;
    box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
    overflow: auto;
    flex: 0 0 auto;
}
.sublist-item {
    position: relative;
}
.sublist-item .fa,
.sublist-item .far,
.sublist-item .fas,
.sublist-item .fab {
    opacity: 0;
    position: absolute;
    left: 15px;
    transition: opacity 0.5s;
}
.sublist-item:hover .fa,
.sublist-item:focus .fa,
.sublist-item:hover .fas,
.sublist-item:focus .fas,
.sublist-item:hover .far,
.sublist-item:focus .far,
.sublist-item:hover .fab,
.sublist-item:focus .fab {
    display: block;
    opacity: 1;
    transition: opacity 0s;
}

/* Sidebar sizes when expanded and expanded */
.sidebar-expanded {
    width: 33%;
    min-width: 230px;
    max-width: 300px;
}
.sidebar-collapsed {
    width: 60px;
}
.sidebar-collapsed .list-group-item-action span {
    display: none;
}
.sidebar-collapsed .ls-sidebar-toggle {
    bottom: 40px;
    left: 10px;
    transition: bottom .3s;
    transition: left .3s;
}
.sidebar-collapsed .ls-sidebar-toggle .collapse-icon {
    transition: rotate 0.3s;
    /*noinspection CssUnknownProperty*/
    rotate: 180deg;
}
.sidebar-collapsed .sidebar-separator-title {
    opacity: 0;
}
.sidebar-collapsed .list-group-item .fa,
.sidebar-collapsed .list-group-item .fas,
.sidebar-collapsed .list-group-item .far,
.sidebar-collapsed .list-group-item .fab {
    margin: 0;
}
.sidebar-collapsed .sidebar-submenu {
    display: none;
}
/**
 * si la condition media est vrai, doit faire sensiblement parreil que la classe sidebar-collapsed
 */
@media (max-width: 768px) {
    .sidebar-expanded {
        width: 60px;
        min-width: 0;
        max-width: none;
    }
    .list-group-item-action span {
        display: none;
    }
    .sidebar-separator-title {
        opacity: 0;
    }
    .list-group-item .fa,
    .list-group-item .fas,
    .list-group-item .far,
    .list-group-item .fab {
        margin: 0;
    }
    .sidebar-submenu {
        display: none;
    }
    .ls-sidebar-toggle {
        display: none;
    }
}
/* Menu item*/
#sidebar-container .list-group a {
    height: 50px;
}
/* Submenu item*/
#sidebar-container .list-group .sidebar-submenu a,
#sidebar-container .list-group .sidebar-submenu button {
    height: 45px;
    padding-left: 53px;
    align-items: center;
}
/* Separators */
.sidebar-separator-title {
    background-color: #fff;
    height: 35px;
}
.sidebar-separator {
    background-color: #fff;
    height: 25px;
}
.logo-separator {
    background-color: #fff;
    height: 60px;
}
/* Closed submenu icon */
#sidebar-container .list-group .list-group-item[aria-expanded="false"] .submenu-icon::after {
    content: " \f0d7";
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    display: inline;
    text-align: right;
    padding-left: 10px;
}
/* Opened submenu icon */
#sidebar-container .list-group .list-group-item[aria-expanded="true"] .submenu-icon::after {
    content: " \f0da";
    /*noinspection CssNoGenericFontName*/
    font-family: FontAwesome;
    display: inline;
    text-align: right;
    padding-left: 10px;
}
.list-group-item {
    display: flex;
}
.ls-sidebar-toggle {
    text-align: right;
    position: fixed;
    bottom: 25px;
    left: min(240px, 25%);
    z-index: 1050;
}
.ls-sidebar-toggle a {
    display: inline-block;
    padding: 4px;
}
.ls-sidebar-toggle .collapse-icon {
    background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA1NS4xOCAyNy4xMyI+PGRlZnM+PHN0eWxlPi5jbHMtMXtmaWxsOiMyMjI7fTwvc3R5bGU+PC9kZWZzPjx0aXRsZT5jb2xsYXBzZUZpY2hpZXIgMjE8L3RpdGxlPjxnIGlkPSJDYWxxdWVfMiIgZGF0YS1uYW1lPSJDYWxxdWUgMiI+PGcgaWQ9ImZsw6pjaGVzIj48cG9seWdvbiBjbGFzcz0iY2xzLTEiIHBvaW50cz0iNTUuMTggMTEuMjUgOS42OCAxMS4yNSAxNi40NSA0Ljk0IDEyLjk0IDAuNTIgMCAxMy4yOSAxMi43OSAyNS45OCAxNi4wNiAyMS40IDkuNjggMTUuODggNTUuMTggMTUuODggNTUuMTggMTEuMjUiLz48cmVjdCBjbGFzcz0iY2xzLTEiIHg9IjIyLjkzIiB3aWR0aD0iMzIuMTMiIGhlaWdodD0iNC42MyIvPjxyZWN0IGNsYXNzPSJjbHMtMSIgeD0iMjIuOTMiIHk9IjIyLjUiIHdpZHRoPSIzMi4xMyIgaGVpZ2h0PSI0LjYzIi8+PC9nPjwvZz48L3N2Zz4=) no-repeat;
    width: 40px;
    height: 40px;
}
.ls-sidebar-toggle {
    transition: bottom .3s;
    transition: left .3s;
}
.ls-sidebar-toggle .collapse-icon {
    transition: rotate 0.3s;
}
.sidebar-separator-title {
    transition: opacity 0.3s;
}
#sidebar-container .list-group-item {
    border: none;
}
.list-group-item-action:focus, .list-group-item-action:hover {
    background-color: var(--ls-primary-100);
}
.list-group-item-action.active {
    background-color: var(--ls-primary-200);
    color: #222;
    font-weight: bold;
}
.list-group-item .fa,
.list-group-item .fas,
.list-group-item .far,
.list-group-item .fab {
    font-size: 24px;
}
.list-group hr {
    margin-left: 53px;
}
.list-group-item[data-toggle="collapse"].active {
    color: var(--ls-primary-700);
}
.list-group-item[data-toggle="collapse"].active,
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show),
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) a,
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) button
{
    box-shadow: inset 4px 0 0 var(--ls-primary-600);
    background-color: var(--ls-primary-50);
}
.list-group-item[data-toggle="collapse"].active + .sidebar-submenu:not(.hover-show) a.active {
    background-color: var(--ls-primary-200);
}
.main-container {
    -ms-flex-direction: column;
    -webkit-box-direction: normal;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    width: calc(100% - 300px);
    padding-left: 10px;
    padding-right: 10px;
    transition: width .3s;
}
.sidebar-is-collapsed .main-container {
    width: calc(100% - 60px);
}
.main-container > div {
    margin: 0;
    width: 100%;
    height: calc(100vh - 105px);
    overflow: auto;
}
#body-content #body-row > .main-container > .main-content > *,
#body-content #body-row > .main-container > .main-content > .container
{
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}
#sidebar-container .wrapper {
    position: relative;
}
#sidebar-container .hover-show {
    display: block;
    position: fixed;
    top: 0;
    left: 60px;
    z-index: 1051;
    background-color: #fff;
    -webkit-box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
    box-shadow: 0 0 5px 0 rgba(0,0,0,.2);
}
/**
 * fin de la sidebar
 */

#sidebar-container li a
{
    font-size: 18px;
}
#sidebar-container li i.fa
{
    display: inline-block;
    width: 30px;
    text-align: center;
}
#sidebar-container li i.fa+span,
#sidebar-container li i.fas+span,
#sidebar-container li i.far+span
{
    margin-left: 1rem;
}
body.navigation.with-sidebar div#body-content
{
    background-image: none;
    padding-top: 0;
}
body.navigation.with-sidebar div#body-content:before
{
    display: none;
}
#sidebar-container .sidebar-brand
{
    text-align: center;
}
#sidebar-title
{
    height: 50px;
    font-size: 20px;
    padding: 10px 15px;
    background-color: #a7c5d7;
    font-weight: bold;
}
#sidebar-container > ul.list-group,
#sidebar-container > ul.list-group li,
#sidebar-container > ul.list-group a
{
    border-radius: 0;
}
#sidebar-container a.list-group-item.active
{
    font-weight: normal;
    text-shadow: none;
    background-image: none;
    background-color: #bcdaea;
    color: #333;
}
.main-container .container-flash
{
    width: 100%;
    padding: 0;
}
.main-container h2
{
    padding-bottom: 15px;
    margin-bottom: 20px;
}
.main-container .container.bg-white > .float-right > button
{
    z-index: 1000;
}

.checkbox input[type="checkbox"],
.checkbox-inline input[type="checkbox"],
.radio input[type="radio"],
.radio-inline input[type="radio"]
{
    position: relative;
    margin-right: 5px;
}

.checkbox label > input[type="checkbox"].with-icon,
.checkbox-inline label > input[type="checkbox"].with-icon,
.radio label > input[type="radio"].with-icon,
.radio-inline label > input[type="radio"].with-icon
{
    margin-right: 20px;
}
